import Request from '@/utils/request/request-util';

/**
 * 业务 - 基于excel初始化api
 *
 */
export class ExcelInitApi {
  /**
   * 将上传的Excel解析为图片
   */
  static parseExcelToPng(params) {
    return Request.post('/aiBusinessDesign/parseExcelToPng', params);
  }
  /**
   * AI解析图片，转化为业务数据
   */
  static parseToBusiness(params) {
    return Request.post('/aiBusinessDesign/parseToBusiness', params);
  }
  /**
   * 停止AI分析
   */
  static stopAiParse(params) {
    return Request.post('/aiBusinessDesign/stopAiParse', params);
  }
}
